# GoogleChartSolidFillType Class Reference

Inheritance diagram for GoogleChartSolidFillType:
[legend]

List of all members.

## Public Member Functions

| toString ()

## Static Public Member Functions

static | create ($id)

## Public Attributes

const | CHART_AREA = 0x1
const | BACKGROUND = 0x2
const | TRANSPARENCY = 0x3

## Protected Attributes

| $names

## Detailed Description

Definition at line 15 of file GoogleChartSolidFillType.class.php.

## Member Function Documentation

static GoogleChartSolidFillType::create | ( | $ | id | ) | `[static]`

Returns:
  GoogleChartSolidFillType

Definition at line 30 of file GoogleChartSolidFillType.class.php.

References IdentifiableObject::$id.

Referenced by GoogleChart::addBackgroundFiller(), GoogleChart::addChartAreaFiller(), and GoogleChart::addTransparencyFiller().

GoogleChartSolidFillType::toString | ( |  | ) |

Reimplemented from Enumeration.

Definition at line 35 of file GoogleChartSolidFillType.class.php.

## Member Data Documentation

GoogleChartSolidFillType::$names`[protected]`

Initial value:

     array(
                self::CHART_AREA    => 'c',
                self::BACKGROUND    => 'bg',
                self::TRANSPARENCY  => 'a'
            )

Reimplemented from Enumeration.

Definition at line 21 of file GoogleChartSolidFillType.class.php.

const GoogleChartSolidFillType::BACKGROUND = 0x2

Definition at line 18 of file GoogleChartSolidFillType.class.php.

Referenced by GoogleChart::addBackgroundFiller().

const GoogleChartSolidFillType::CHART_AREA = 0x1

Definition at line 17 of file GoogleChartSolidFillType.class.php.

Referenced by GoogleChart::addChartAreaFiller().

const GoogleChartSolidFillType::TRANSPARENCY = 0x3

Definition at line 19 of file GoogleChartSolidFillType.class.php.

Referenced by GoogleChart::addTransparencyFiller().

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartSolidFillType.class.php